Subject: Re: [PATCH v2] net: Add eth_platform_get_mac_address() helper.

From: Sowmini Varadhan <[email-masked]>
Date: Tue, 12 Jan 2016 19:49:16 -0500

On (01/06/16 16:33), David Miller wrote:
> 
> A repeating pattern in drivers has become to use OF node information
> and, if not found, platform specific host information to extract the
> ethernet address for a given device.
    :
> Consolidate this into a portable routine, and provide the
> arch_get_platform_mac_address() weak function hook for all
> architectures to implement if they want.
    :
> As promised back in November, I'm commiting this into net-next
> now.  I'd work on the conversions of existing drivers, but I'd
> rather someone with access to the hardware to so.

I finally have all the ducks lined up for ixgbe/i40e around this. 
Should I go ahead and send this off (I think it first gets staged 
through Jeff's repo?) or is it better to wait for net-next to be 
open again?

--Sowmini